		*******************
		*    usermacs.i   *
		*******************

NULL		EQU	0
TRUE		EQU	1
FALSE		EQU	0
_custom		EQU	$dff000

DR		MACRO
		IFEQ	NARG-1
		DC.\0 	\1-*
		ELSE
		IFEQ	NARG-2
		DC.\0	\1-\2
		ELSE
		FAIL	"One or two parameters only!"
		ENDC
		ENDC
		ENDM

MESSAGE		MACRO
		IFC	'locale',\1
		moveq	#\2,d0
		lea	(localeinfo),a0
		IFEQ	_EVAL(section)
		jsr	(GetString).L
		ELSE
		bsr.w	GetString
		ENDC
		movea.l	d0,a0
		ELSE
		lea	(\1.msg),a0
		ENDC
		pushm	a2/a3
		lea	(myRequest),a1
		move.l	a0,(es_TextFormat,a1)
		suba.l	a0,a0
		movea.l	a0,a2
		movea.l a0,a3
		CALL	_IntuitionBase,EasyRequestArgs
		popm
		ENDM

ENTRY		MACRO
		IFEQ	NARG-1
\1
CountRegs	set	0
		ELSE
		IFEQ	NARG-2
\1		
SaveRegs	setrl	\2
CountRegs	set	1
		movem.l	SaveRegs,-(SP)
PARMS		set	_MOVEMBYTES+4
		ENDC
		ENDC
		ENDM

DONE		MACRO
\1_done
		IFNE	CountRegs
		movem.l	(SP)+,SaveRegs
		ENDC
		rts
		ENDM

CALL		MACRO		
		IFEQ	NARG-1
		IFD	_LVO\1
		jsr	(_LVO\1,a6)
		ELSE
		FAIL	"Unknow library offset!"
		ENDC
		ELSE
		IFEQ	NARG-2
		movea.l	(\1),a6
		IFD	_LVO\2
		jsr	(_LVO\2,a6)
		ELSE
		FAIL	"Unknow library offset!"
		ENDC
		ELSE
		FAIL	"One or two parameters only!"
		ENDC
		ENDC
		ENDM

JUMP		MACRO		
		IFEQ	NARG-1
		IFD	_LVO\1
		jmp	(_LVO\1,a6)
		ELSE
		FAIL	"Unknow library offset!"
		ENDC
		ELSE
		IFEQ	NARG-2
		movea.l	(\1),a6
		IFD	_LVO\2
		jmp	(_LVO\2,a6)
		ELSE
		FAIL	"Unknow library offset!"
		ENDC
		ELSE
		FAIL	"One or two parameters only!"
		ENDC
		ENDC
		ENDM

STRCPY		MACRO
		IFEQ	NARG-2
..		move.b	(\1)+,(\2)+
		bne.b	..
		ELSE
		FAIL	"Invalids parameters !!"
		ENDC
		ENDM

